SalesOS.

Coaching Goals

Coaching goal tracking

Coaching Goals Controller_get Goals

GET
/v1/coaching/goals

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/coaching/goals" \
  -H "Authorization: Bearer <token>"

Coaching Goals Controller_create Goal

POST
/v1/coaching/goals

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/coaching/goals" \
  -H "Authorization: Bearer <token>"

Coaching Goals Controller_delete Goal

DELETE
/v1/coaching/goals/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/coaching/goals/<string>" \
  -H "Authorization: Bearer <token>"

Coaching Goals Controller_update Goal

PUT
/v1/coaching/goals/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PUT "https://api.salesos.org/v1/coaching/goals/<string>" \
  -H "Authorization: Bearer <token>"

Coaching Goals Controller_get Patterns

GET
/v1/coaching/patterns

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/coaching/patterns" \
  -H "Authorization: Bearer <token>"

Coaching Goals Controller_create Pattern

POST
/v1/coaching/patterns

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/coaching/patterns" \
  -H "Authorization: Bearer <token>"

Coaching Goals Controller_delete Pattern

DELETE
/v1/coaching/patterns/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/coaching/patterns/<string>" \
  -H "Authorization: Bearer <token>"

Coaching Goals Controller_update Pattern

PUT
/v1/coaching/patterns/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PUT "https://api.salesos.org/v1/coaching/patterns/<string>" \
  -H "Authorization: Bearer <token>"